Bug 1689431 - getdns-1.5.2-rc1 is available
Summary: getdns-1.5.2-rc1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: getdns
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-15 22:00 UTC by Upstream Release Monitoring
Modified: 2019-11-02 01:43 UTC (History)
5 users (show)

Fixed In Version: getdns-1.5.2-1.rc1.fc31 getdns-1.5.2-2.fc30 getdns-1.5.2-2.fc29
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-15 00:01:21 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2019-03-15 22:00:31 UTC
Latest upstream release: 1.5.2-rc1
Current version/release in rawhide: 1.4.2-5.fc30
URL: https://getdnsapi.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/10324/

Comment 1 Petr Menšík 2019-03-19 10:50:04 UTC
Upstream changelog: https://github.com/getdnsapi/getdns/releases
    
    New features in 1.5.2:
    - with-gnutls support instead of OpenSSL
    
    New features in 1.5.1:
    - Google public DoT configuration example
    - TLS parameters configuration examples
    
    New features in 1.5.0:
    - TLS 1.3 support
    - Ed25519 and Ed448 DNSSEC key support

Creating also separate subpackage for stubby.

Comment 2 Fedora Update System 2019-04-07 22:26:30 UTC
getdns-1.5.2-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bd36822ace

Comment 3 Fedora Update System 2019-04-07 22:27:04 UTC
getdns-1.5.2-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d21b1c784c

Comment 4 Fedora Update System 2019-04-07 22:31:14 UTC
getdns-1.5.2-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a65135c3a0

Comment 5 Fedora Update System 2019-04-07 22:34:20 UTC
getdns-1.5.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3d6a915488

Comment 6 Fedora Update System 2019-04-08 01:54:48 UTC
getdns-1.5.2-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a65135c3a0

Comment 7 Fedora Update System 2019-04-08 02:25:31 UTC
getdns-1.5.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3d6a915488

Comment 8 Fedora Update System 2019-04-08 02:36:52 UTC
getdns-1.5.2-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bd36822ace

Comment 9 Fedora Update System 2019-04-08 02:53:23 UTC
getdns-1.5.2-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d21b1c784c

Comment 10 Ashutosh 2019-04-12 05:38:59 UTC
I was no longer able to use stubby after updating to 1.5.2-2.fc29:

"bash: stubby: command not found..."

I had to downgrade to "1.4.2-4.fc29" to use stubby again

Comment 11 Fedora Update System 2019-04-15 00:01:21 UTC
getdns-1.5.2-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Petr Menšík 2019-04-17 11:42:10 UTC
(In reply to Ashutosh from comment #10)
> I was no longer able to use stubby after updating to 1.5.2-2.fc29:
> 
> "bash: stubby: command not found..."
> 
> I had to downgrade to "1.4.2-4.fc29" to use stubby again

No need for that, stubby is still there, but I created separate subpackage for it: getdns-stubby. Install package getdns-stubby.
I should add Recommends: getdns-stubby into original package, or at least mention it in changelog. Sorry I forgot mentioning it in changelog.

Comment 13 Ashutosh 2019-04-17 11:45:29 UTC
(In reply to Petr Menšík from comment #12)
> (In reply to Ashutosh from comment #10)
> > I was no longer able to use stubby after updating to 1.5.2-2.fc29:
> > 
> > "bash: stubby: command not found..."
> > 
> > I had to downgrade to "1.4.2-4.fc29" to use stubby again
> 
> No need for that, stubby is still there, but I created separate subpackage
> for it: getdns-stubby. Install package getdns-stubby.
> I should add Recommends: getdns-stubby into original package, or at least
> mention it in changelog. Sorry I forgot mentioning it in changelog.

I was trying to install stubby after updating getdns but it was downgrading getdns, that's why I wrote about it here.

Thanks for letting me know about the new subpackage! I've installed it and it's working fine :)

Comment 14 Fedora Update System 2019-11-02 01:43:43 UTC
getdns-1.5.2-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.